Bug 1114928 - setup-ds.pl creates configuration files under /usr
Summary: setup-ds.pl creates configuration files under /usr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-01 09:51 UTC by Marko Myllynen
Modified: 2016-11-19 21:10 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.3.5.15-1.fc24 389-ds-base-1.3.5.15-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-06 00:26:11 UTC


Attachments (Terms of Use)

Description Marko Myllynen 2014-07-01 09:51:00 UTC
Description of problem:
When running setup-ds.pl some of the files created end up under /usr/lib64/dirsrv/slapd-instance. Those files should probably be created under /var instead. It also looks like this might cause issues with schemes like http://0pointer.de/blog/projects/stateless.html.

Version-Release number of selected component (if applicable):
Fedora 20

Comment 1 Rich Megginson 2014-07-01 17:17:34 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/528

Comment 2 Rich Megginson 2014-07-01 17:18:30 UTC
This was supposed to have been fixed by ticket 528.  If this is not the case, please reopen ticket 528 and please include steps to reproduce.

Comment 3 Noriko Hosoi 2014-11-04 19:01:27 UTC
This bug has no activity for a while.  Can we have the current status?
If the latest 389-ds-base solved the problem, can we close this bug?  Thanks.

Comment 4 Marko Myllynen 2014-11-05 15:50:59 UTC
(In reply to Noriko Hosoi from comment #3)
> This bug has no activity for a while.  Can we have the current status?
> If the latest 389-ds-base solved the problem, can we close this bug?  Thanks.

This discussion continued in upstream ticket 528 as was requested. Ticket 528 is solved but this ticket actually falls under upstream ticket 47840 which hasn't seen any activity. So from Fedora perspective the situation is still unchanged, the issue described in comment 0 still remains. Thanks.

https://fedorahosted.org/389/ticket/528
https://fedorahosted.org/389/ticket/47840

Comment 5 Fedora End Of Life 2015-05-29 12:16:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-11-04 11:40:29 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora Update System 2016-11-03 20:45:07 UTC
389-ds-base-1.3.5.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8660c7656f

Comment 8 Fedora Update System 2016-11-03 21:17:30 UTC
389-ds-base-1.3.5.15-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9d466bcc

Comment 9 Fedora Update System 2016-11-05 03:34:39 UTC
389-ds-base-1.3.5.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8660c7656f

Comment 10 Fedora Update System 2016-11-05 18:59:38 UTC
389-ds-base-1.3.5.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9d466bcc

Comment 11 Fedora Update System 2016-11-06 00:26:11 UTC
389-ds-base-1.3.5.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-11-19 21:10:47 UTC
389-ds-base-1.3.5.15-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.